Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class ExcludeResultPrefixesContentAssist

    public class ExcludeResultPrefixesContentAssist
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXSLContentAssistRequest

Provides content assistance for xsl elements that have the exclude-result-prefixes attribute. This will provide a list of all known result prefixes that aren't currently in the attribute list. This list is a space separated list. The XSL prefix is excluded.

## Field Summary

`protected java.lang.String[]` | `tokens`

## Constructor Summary

`ExcludeResultPrefixesContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`public java.util.ArrayList` | `getCompletionProposals()` (non-Javadoc)
`protected boolean` | `includePrefix(NamespaceInfo namespace)`
`protected boolean` | `prefixExists(java.lang.String prefix)`

## Field Detail

## tokens

`protected java.lang.String[] tokens`

## Constructor Detail

## ExcludeResultPrefixesContentAssist

`public ExcludeResultPrefixesContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Methods Detail

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

(non-Javadoc)

### Returns

`java.util.ArrayList`

## includePrefix

`protected boolean includePrefix(NamespaceInfo namespace)`

### Parameters

`namespace`

### Returns

`boolean`

## prefixExists

`protected boolean prefixExists(java.lang.String prefix)`

### Parameters

`prefix`

### Returns

`boolean`